Package com.emc.documentum.rest.security.provider

# Class AbstractClientTokenAuthProvider

java.lang.Object
com.emc.documentum.rest.security.provider.AbstractAuthProvider
com.emc.documentum.rest.security.provider.AbstractClientTokenAuthProvider

public abstract class AbstractClientTokenAuthProvider extends AbstractAuthProvider
This abstract provider additionally provides client token utility.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `clientTokenSupport`

  ### Fields inherited from class com.emc.documentum.rest.security.provider.AbstractAuthProvider

  `memoryRepositorySessionManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractClientTokenAuthProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ClientTokenAuthToken`
  `produceRestTicketToken(org.springframework.security.authentication.AbstractAuthenticationToken token, boolean reuseLoginTicketPreferred, com.documentum.fc.client.IDfSession session)`
  Produce a client token authentication token.
  `void`
  `setClientTokenSupport(boolean clientTokenSupport)`
  Set whether to support client token.
  `void`
  `setDocbaseUserSessionTrackingInfo(com.documentum.fc.client.IDfSession session)`

  ### Methods inherited from class com.emc.documentum.rest.security.provider.AbstractAuthProvider

  `allowLoginAuditing, clearCache, getSession, getWrappedException, logAuthenticationFailure, onSuccessfulSessionRetrieval, setRepositorySessionManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### clientTokenSupport

    protected boolean clientTokenSupport

- ## Constructor Details

  - ### AbstractClientTokenAuthProvider

    public AbstractClientTokenAuthProvider()

- ## Method Details

  - ### setClientTokenSupport

    public void setClientTokenSupport(boolean clientTokenSupport)
    Set whether to support client token.
    Parameters:
      `clientTokenSupport` - true indicates to support client token; false for otherwise.

  - ### setDocbaseUserSessionTrackingInfo

    public void setDocbaseUserSessionTrackingInfo(com.documentum.fc.client.IDfSession session)

  - ### produceRestTicketToken

    protected ClientTokenAuthToken produceRestTicketToken(org.springframework.security.authentication.AbstractAuthenticationToken token, boolean reuseLoginTicketPreferred, com.documentum.fc.client.IDfSession session) throws com.documentum.fc.common.DfException
    Produce a client token authentication token. The authentication filter later can use this token to generate a cookie.
    Parameters:
      `token` - original authentication token
      `reuseLoginTicketPreferred` - indicate whether to reuse existing login ticket from the original authentication token to generate a client token authentication token
      `session` - DFC session
    Returns:
      the client token authentication token
    Throws:
      `com.documentum.fc.common.DfException` - when it fails to validate or generate the token.